org.appng.core.xml.repository

## Class ObjectFactory

- java.lang.Object
- - org.appng.core.xml.repository.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.appng.core.xml.repository package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.core.xml.repository

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certification` | `createCertification()` Create an instance of `Certification`
    `GetCertificationRequest` | `createGetCertificationRequest()` Create an instance of `GetCertificationRequest`
    `GetCertificationResponse` | `createGetCertificationResponse()` Create an instance of `GetCertificationResponse`
    `GetPackageRequest` | `createGetPackageRequest()` Create an instance of `GetPackageRequest`
    `GetPackageResponse` | `createGetPackageResponse()` Create an instance of `GetPackageResponse`
    `GetPackagesRequest` | `createGetPackagesRequest()` Create an instance of `GetPackagesRequest`
    `GetPackagesResponse` | `createGetPackagesResponse()` Create an instance of `GetPackagesResponse`
    `GetPackageVersionsRequest` | `createGetPackageVersionsRequest()` Create an instance of `GetPackageVersionsRequest`
    `GetPackageVersionsResponse` | `createGetPackageVersionsResponse()` Create an instance of `GetPackageVersionsResponse`
    `Package` | `createPackage()` Create an instance of `Package`
    `Packages` | `createPackages()` Create an instance of `Packages`
    `PackageVersions` | `createPackageVersions()` Create an instance of `PackageVersions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.core.xml.repository

  - ### Method Detail

    - #### createGetPackageVersionsRequest

          public GetPackageVersionsRequest createGetPackageVersionsRequest()

      Create an instance of `GetPackageVersionsRequest`

    - #### createGetCertificationResponse

          public GetCertificationResponse createGetCertificationResponse()

      Create an instance of `GetCertificationResponse`

    - #### createCertification

          public Certification createCertification()

      Create an instance of `Certification`

    - #### createGetPackagesRequest

          public GetPackagesRequest createGetPackagesRequest()

      Create an instance of `GetPackagesRequest`

    - #### createGetPackagesResponse

          public GetPackagesResponse createGetPackagesResponse()

      Create an instance of `GetPackagesResponse`

    - #### createPackages

          public Packages createPackages()

      Create an instance of `Packages`

    - #### createGetPackageRequest

          public GetPackageRequest createGetPackageRequest()

      Create an instance of `GetPackageRequest`

    - #### createGetCertificationRequest

          public GetCertificationRequest createGetCertificationRequest()

      Create an instance of `GetCertificationRequest`

    - #### createGetPackageVersionsResponse

          public GetPackageVersionsResponse createGetPackageVersionsResponse()

      Create an instance of `GetPackageVersionsResponse`

    - #### createPackageVersions

          public PackageVersions createPackageVersions()

      Create an instance of `PackageVersions`

    - #### createGetPackageResponse

          public GetPackageResponse createGetPackageResponse()

      Create an instance of `GetPackageResponse`

    - #### createPackage

          public Package createPackage()

      Create an instance of `Package`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.